/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { SlowStochasticOscillatorIndicatorStrategy } from "./SlowStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
var SlowStochasticOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(SlowStochasticOscillatorIndicator, _super);
    function SlowStochasticOscillatorIndicator() {
        var _this = _super.call(this) || this;
        _this.trendLineBrush = ((function () {
            var $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        _this.trendLineType = 10;
        _this.trendLinePeriod = 3;
        return _this;
    }
    SlowStochasticOscillatorIndicator.prototype.get_p0 = function () {
        return new SlowStochasticOscillatorIndicatorStrategy();
    };
    Object.defineProperty(SlowStochasticOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    SlowStochasticOscillatorIndicator.prototype.get_qd = function () {
        return SlowStochasticOscillatorIndicator.$;
    };
    Object.defineProperty(SlowStochasticOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SlowStochasticOscillatorIndicator.prototype, "ql", {
        get: function () {
            return typeGetValue(this.c(SlowStochasticOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(SlowStochasticOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    SlowStochasticOscillatorIndicator.prototype.p6 = function () {
        return this.ql;
    };
    SlowStochasticOscillatorIndicator.prototype.qf = function (a) {
        this.ql = a;
    };
    SlowStochasticOscillatorIndicator.qm = StrategyBasedIndicator.qi(14, SlowStochasticOscillatorIndicator.$);
    SlowStochasticOscillatorIndicator.$t = markType(SlowStochasticOscillatorIndicator, 'SlowStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    return SlowStochasticOscillatorIndicator;
}(StrategyBasedIndicator));
export { SlowStochasticOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.SlowStochasticOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.SlowStochasticOscillatorIndicator" />*/
